unit Unit1;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.StdCtrls,
{$IFDEF MACOS}
  Macapi.CoreFoundation, Macapi.Foundation, Posix.Stdlib,
{$ENDIF}
  Unit2;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Button1: TButton;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
    FClose: Boolean;
    FProceThread: TProceThread;
  public
    { Public declarations }
    procedure Notify(Status: String; Msg: String);
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}

procedure TForm1.Button1Click(Sender: TObject);
begin
  FProceThread := TProceThread.Create(Notify);
  while (not (Label1.Text = '10')) and (not FClose) do
    Application.ProcessMessages;
  Close;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  FClose := true;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  FProceThread := TProceThread.Create(Notify);
  while (not (Label1.Text = '10')) and (not FClose) do
    Application.ProcessMessages;
  Close;
end;

procedure TForm1.Notify(Status: String; Msg: String);
begin
  Label1.Text := Status;
end;

end.
